# Class LoadingScene

#### Hierarchy (view full)

- SceneBase
  - LoadingScene

- Defined in src/loading-scene.ts:26

#####
Index

### Constructors

constructor

### Properties

add
anims
cache
cameras
children
data
events
facebook
game
input
lights
load
make
matter
physics
plugins
registry
renderer
scale
scene
sound
sys
textures
time
tweens

### Accessors

gameHeight
gameWidth

### Methods

create
getCachedUrl
loadAtlas
loadBgm
loadImage
loadLoadingScreen
loadSe
loadSpritesheet
preload
update

## Constructors

### constructor

- new LoadingScene(): LoadingScene

- #### Returns LoadingScene

  Overrides SceneBase.constructor

  - Defined in src/loading-scene.ts:27

## Properties

### add

add: GameObjectFactory

The Scene Game Object Factory.

This property will only be available if defined in the Scene Injection Map.

Inherited from SceneBase.add

- Defined in node_modules/phaser/types/phaser.d.ts:101257

### anims

anims: AnimationManager

A reference to the global Animation Manager.

This property will only be available if defined in the Scene Injection Map.

Inherited from SceneBase.anims

- Defined in node_modules/phaser/types/phaser.d.ts:101208

### cache

cache: CacheManager

A reference to the global Cache.

This property will only be available if defined in the Scene Injection Map.

Inherited from SceneBase.cache

- Defined in node_modules/phaser/types/phaser.d.ts:101215

### cameras

cameras: CameraManager

The Scene Camera Manager.

This property will only be available if defined in the Scene Injection Map.

Inherited from SceneBase.cameras

- Defined in node_modules/phaser/types/phaser.d.ts:101250

### children

children: DisplayList

The Game Object Display List belonging to this Scene.

This property will only be available if defined in the Scene Injection Map.

Inherited from SceneBase.children

- Defined in node_modules/phaser/types/phaser.d.ts:101278

### data

data: DataManager

A Scene specific Data Manager Plugin.

See the `registry` property for the global Data Manager.

This property will only be available if defined in the Scene Injection Map and the plugin is installed.

Inherited from SceneBase.data

- Defined in node_modules/phaser/types/phaser.d.ts:101294

### events

events: EventEmitter

A Scene specific Event Emitter.

This property will only be available if defined in the Scene Injection Map.

Inherited from SceneBase.events

- Defined in node_modules/phaser/types/phaser.d.ts:101243

### facebook

facebook: FacebookInstantGamesPlugin

The Facebook Instant Games Plugin.

This property will only be available if defined in the Scene Injection Map, the plugin is installed and configured.

Inherited from SceneBase.facebook

- Defined in node_modules/phaser/types/phaser.d.ts:101343

### game

game: Game

A reference to the Phaser.Game instance.

This property will only be available if defined in the Scene Injection Map.

Inherited from SceneBase.game

- Defined in node_modules/phaser/types/phaser.d.ts:101201

### input

input: InputPlugin

The Scene Input Manager Plugin.

This property will only be available if defined in the Scene Injection Map and the plugin is installed.

Inherited from SceneBase.input

- Defined in node_modules/phaser/types/phaser.d.ts:101301

### lights

lights: LightsManager

The Scene Lights Manager Plugin.

This property will only be available if defined in the Scene Injection Map and the plugin is installed.

Inherited from SceneBase.lights

- Defined in node_modules/phaser/types/phaser.d.ts:101285

### load

load: LoaderPlugin

The Scene Loader Plugin.

This property will only be available if defined in the Scene Injection Map and the plugin is installed.

Inherited from SceneBase.load

- Defined in node_modules/phaser/types/phaser.d.ts:101308

### make

make: GameObjectCreator

The Scene Game Object Creator.

This property will only be available if defined in the Scene Injection Map.

Inherited from SceneBase.make

- Defined in node_modules/phaser/types/phaser.d.ts:101264

### matter

matter: MatterPhysics

The Scene Matter Physics Plugin.

This property will only be available if defined in the Scene Injection Map, the plugin is installed and configured.

Inherited from SceneBase.matter

- Defined in node_modules/phaser/types/phaser.d.ts:101336

### physics

physics: ArcadePhysics

The Scene Arcade Physics Plugin.

This property will only be available if defined in the Scene Injection Map, the plugin is installed and configured.

Inherited from SceneBase.physics

- Defined in node_modules/phaser/types/phaser.d.ts:101329

### plugins

plugins: PluginManager

A reference to the global Plugin Manager.

The Plugin Manager is a global system that allows plugins to register themselves with it, and can then install those plugins into Scenes as required.

Inherited from SceneBase.plugins

- Defined in node_modules/phaser/types/phaser.d.ts:101358

### registry

registry: DataManager

A reference to the global Data Manager.

This property will only be available if defined in the Scene Injection Map.

Inherited from SceneBase.registry

- Defined in node_modules/phaser/types/phaser.d.ts:101222

### renderer

renderer: CanvasRenderer | WebGLRenderer

A reference to the renderer instance Phaser is using, either Canvas Renderer or WebGL Renderer.

Inherited from SceneBase.renderer

- Defined in node_modules/phaser/types/phaser.d.ts:101363

### scale

scale: ScaleManager

A reference to the global Scale Manager.

This property will only be available if defined in the Scene Injection Map.

Inherited from SceneBase.scale

- Defined in node_modules/phaser/types/phaser.d.ts:101350

### scene

scene: ScenePlugin

A reference to the Scene Manager Plugin.

This property will only be available if defined in the Scene Injection Map.

Inherited from SceneBase.scene

- Defined in node_modules/phaser/types/phaser.d.ts:101271

### sound

sound: NoAudioSoundManager | HTML5AudioSoundManager | WebAudioSoundManager

A reference to the Sound Manager.

This property will only be available if defined in the Scene Injection Map and the plugin is installed.

Inherited from SceneBase.sound

- Defined in node_modules/phaser/types/phaser.d.ts:101229

### sys

sys: Systems

The Scene Systems. You must never overwrite this property, or all hell will break lose.

Inherited from SceneBase.sys

- Defined in node_modules/phaser/types/phaser.d.ts:101194

### textures

textures: TextureManager

A reference to the Texture Manager.

This property will only be available if defined in the Scene Injection Map.

Inherited from SceneBase.textures

- Defined in node_modules/phaser/types/phaser.d.ts:101236

### time

time: Clock

The Scene Time and Clock Plugin.

This property will only be available if defined in the Scene Injection Map and the plugin is installed.

Inherited from SceneBase.time

- Defined in node_modules/phaser/types/phaser.d.ts:101315

### tweens

tweens: TweenManager

The Scene Tween Manager Plugin.

This property will only be available if defined in the Scene Injection Map and the plugin is installed.

Inherited from SceneBase.tweens

- Defined in node_modules/phaser/types/phaser.d.ts:101322

## Accessors

### gameHeight

- get gameHeight(): number

- #### Returns number

  - Defined in src/loading-scene.ts:493

### gameWidth

- get gameWidth(): number

- #### Returns number

  - Defined in src/loading-scene.ts:497

## Methods

### create

- create(): Promise<void>

- #### Returns Promise<void>

  - Defined in src/loading-scene.ts:501

### getCachedUrl

- getCachedUrl(url): string

- #### Parameters

  - url: string

  #### Returns string

  Inherited from SceneBase.getCachedUrl

  - Defined in src/scene-base.ts:8

### loadAtlas

- loadAtlas(key, folder, filenameRoot?): void

- #### Parameters

  - key: string
  - folder: string
  - `Optional` filenameRoot: string

  #### Returns void

  Inherited from SceneBase.loadAtlas

  - Defined in src/scene-base.ts:43

### loadBgm

- loadBgm(key, filename?): void

- #### Parameters

  - key: string
  - `Optional` filename: string

  #### Returns void

  Inherited from SceneBase.loadBgm

  - Defined in src/scene-base.ts:75

### loadImage

- loadImage(key, folder, filename?): void

- #### Parameters

  - key: string
  - folder: string
  - `Optional` filename: string

  #### Returns void

  Inherited from SceneBase.loadImage

  - Defined in src/scene-base.ts:19

### loadLoadingScreen

- loadLoadingScreen(): void

- #### Returns void

  - Defined in src/loading-scene.ts:348

### loadSe

- loadSe(key, folder?, filenames?): void

- #### Parameters

  - key: string
  - `Optional` folder: string
  - `Optional` filenames: string | string[]

  #### Returns void

  Inherited from SceneBase.loadSe

  - Defined in src/scene-base.ts:58

### loadSpritesheet

- loadSpritesheet(key, folder, size, filename?): void

- #### Parameters

  - key: string
  - folder: string
  - size: number
  - `Optional` filename: string

  #### Returns void

  Inherited from SceneBase.loadSpritesheet

  - Defined in src/scene-base.ts:31

### preload

- preload(): void

- #### Returns void

  - Defined in src/loading-scene.ts:34

### update

- update(time, delta): void

- This method should be overridden by your own Scenes.

  This method is called once per game step while the scene is running.

  #### Parameters

  - time: number

    The current time. Either a High Resolution Timer value if it comes from Request Animation Frame, or Date.now if using SetTimeout.

  - delta: number

    The delta time in ms since the last frame. This is a smoothed and capped value based on the FPS rate.

  #### Returns void

  Inherited from SceneBase.update

  - Defined in node_modules/phaser/types/phaser.d.ts:101372